t1 = [0:0.25:4*pi];
subplot(2,1,1)
[t,y] = ode23('odecos', [0, 4*pi],1);
y1 = 1 + sin(t1);
plot(t,y,'o',t1,y1)
xlabel('Time (sec)')
ylabel('y(t)=1+sin(t)')
axis([0 4*pi -0.5 2.5])
subplot(2,1,2)
[t,y] = ode45('odecos', [0, 4*pi],1);
y2 = 1 + sin(t1);
plot(t,y,'o',t1,y2)
xlabel('Time (sec)')
ylabel('y(t)=1+sin(t)')
axis([0 4*pi -0.5 2.5])
gtext('ode23');
gtext('ode45');
