function [Fr_dec, str_Fr, Fr_bin] = Fr_bin2dec (bin)
Fr_dec = 0 ;
exp_power  = 0 ;
precision = 16 ; 
str_Fr = num2str (bin, precision) ;
if~isempty ( findstr ( str_Fr,'e') )
    exp_power = 0 ;
    [str_Fr_Bef_Exp, exp] = strtok ( str_Fr, 'e' ) ;
    [exp_power, ign ] = strtok ( exp, 'e' ) ; 
    exp_power = abs ( str2num (exp_power) ) ;
    if length (str_Fr_Bef_Exp) >= 2  ;
        str_Fr_Bef_Exp (2) = [] ;
    end
    if exp (2) == '-'           
        for k = 1 : exp_power - 1
            str_Fr_Init_Zeros(k) = '0';
        end
        str_Fr = strcat (  '0.', str_Fr_Init_Zeros, str_Fr_Bef_Exp );  
    elseif exp (2) == '+'       
        str_Fr = str_Fr_Bef_Exp ;
        if length ( str_Fr ) > exp_power + 1
            str_Fr ( end + 1 ) = str_Fr (end);
            for j = length (str_Fr) - 1  :  -1 :  ...
                    length (str_Fr) - (exp_power + 1) + 1 
                str_Fr ( j ) = str_Fr (j-1) ;
            end
            str_Fr (exp_power + 2) = '.';  
        end
        if length ( str_Fr ) < exp_power
            str_Fr = strcat ( str_Fr,  ...
                repmat ( ['0'], 1, exp_power - (length ( str_Fr ) - 1) ) ) ;
        end
    end
end                                     
[bef_dec, Fr_bin] = strtok ( str_Fr, '.' );                                    
Fr_dec = bin2dec (bef_dec);
len_strFr = length (Fr_bin);
for i = 2 : len_strFr       
    Fr_dec = Fr_dec + 2^(-i+1) * str2num( Fr_bin(i) ) ;
end

